curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/billingconfiguration \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/billingconfiguration"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/billingconfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"billingType": 1,
"amount": 142.31,
"disbursementAmount": 160,
"contingencyAmount": 32,
"debtors": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"rateSetId": "100558",
"isUtbmsEnabled": true,
"ledesFirmId": "100558",
"ledesMatterId": "100558",
"ledesClientMatterId": "100558",
"ledesTimekeeperClassificationType": 0
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get matter billing configuration
Retrieves the billing configuration for the specified matter.
Path Parameters
Response
When request is successful. Returns a 'BillingConfiguration' object.
Show child attributes
Show child attributes
Version id of the billing configuration.
"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"
The billing type.
Possible values: None = 0, Fixed Fee = 1, Fixed Fee per Appearance = 2, Time Based = 3, Contingency Dollars = 4, Contingency Percent = 5, Not Billable = 6
0, 1, 2, 3, 4, 5, 6, 7 1
The amount (currency).
Only applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance' or 'Time Based'.
142.31
The disbursement amount (currency).
Only applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance' or 'Time Based'.
Only supported in AU and the UK.
160
The contingency amount (percentage).
Only applicable when BillingType is 'Contingency Percent'.
32
The matter debtors.
Show child attributes
Show child attributes
The rate set id.
Only supported in AU and the UK.
"100558"
True if Uniform Task Based Management (UTBMS) is enabled for this matter.
Only supported in the US.
true
The associated Legal Electronic Data Exchange Standard (LEDES) firm.
Only supported in the US.
"100558"
The associated Legal Electronic Data Exchange Standard (LEDES) matter.
Only supported in the US.
"100558"
The associated Legal Electronic Data Exchange Standard (LEDES) client matter.
Only supported in the US.
"100558"
The associated Legal Electronic Data Exchange Standard (LEDES) classification type.
Possible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.
Only supported in the US.
0, 1, 2 0